/* $Id: InternalFrame.java,v 1.1 2007/10/19 07:24:21 nito Exp $
 *
 * Copyright (c)ARGO 21, Corporation. 2007.  All rights reserved.
 */
package jp.co.argo21.nautica.commons.swing;

import java.awt.Container;

import javax.swing.JInternalFrame;

/**
 * 制御対象コンテナへのアクセスを容易にしたJInternakFrameである。
 *
 * @author  nito(Argo 21, Corp.)
 * @version $Revision: 1.1 $
 * @since   Nautica Workflow 1.0
 */
public class InternalFrame<T extends Container> extends JInternalFrame
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * タイトル、サイズの変更可能性、クローズ可能性、最大化可能性、
	 * およびアイコン化の可能性を指定して、JInternalFrameを作成する。
	 * Container継承オブジェクトを仮パラメータとして指定する。
	 *
	 * @param title タイトル
	 * @param resizable サイズ変更可能性
	 * @param closable クローズ可能性
	 * @param maximizable 最大化可能性
	 * @param iconifiable アイコン化可能性
	 */
	public InternalFrame(
			String title,
			boolean resizable,
			boolean closable,
			boolean maximizable,
			boolean iconifiable)
	{
		super(title, resizable, closable, maximizable, iconifiable);
	}
	
	/**
	 * 制御対象コンテナを返す。
	 *
	 * @return 制御対象コンテナ
	 */
	@SuppressWarnings("unchecked")
	public T getContent()
	{
		return (T)getContentPane();
	}

	/**
	 * 制御対象コンテナを設定する。
	 *
	 * @param c 制御対象コンテナ
	 */
	public void setContent(T c)
	{
		setContentPane(c);
	}
}
